CVE-2019-3464 (retired)

Priority
Description
Insufficient sanitization of environment variables passed to rsync can
bypass the restrictions imposed by rssh, a restricted shell that should
restrict users to perform only rsync operations, resulting in the execution
of arbitrary shell commands.
Package
Source: rssh (LP Ubuntu Debian)
Upstream:released (2.3.4-10)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (2.3.4-4+deb8u2build0.14.04.1)
Ubuntu 16.04 LTS (Xenial Xerus):released (2.3.4-4+deb8u2build0.16.04.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (2.3.4-7ubuntu0.1)
Ubuntu 18.10 (Cosmic Cuttlefish):released (2.3.4-8ubuntu0.2)
Ubuntu 19.04 (Disco Dingo):DNE
More Information

Updated: 2019-04-12 13:14:47 UTC (commit aee5f37cb95e3983d88a143230923aeb520ca539)